org.omg.CORBA

## Class NameValuePair

- java.lang.Object
- - org.omg.CORBA.NameValuePair

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class NameValuePair
    extends Object
    implements IDLEntity

Associates a name with a value that is an attribute of an IDL struct, and is used in the `DynStruct` APIs.

### Field Summary

Fields
`String` `id` The name to be associated with a value by this `NameValuePair` object.
`Any` `value` The value to be associated with a name by this `NameValuePair` object.

### Constructor Summary

Constructors
Constructor and Description
`NameValuePair()` Constructs an empty `NameValuePair` object.
`NameValuePair(String __id, Any __value)` Constructs a `NameValuePair` object that associates the given name with the given `org.omg.CORBA.Any` object.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    public String id

The name to be associated with a value by this `NameValuePair` object.

#### value

    public Any value

The value to be associated with a name by this `NameValuePair` object.

### Constructor Detail

#### NameValuePair

    public NameValuePair()

Constructs an empty `NameValuePair` object. To associate a name with a value after using this constructor, the fields of this object have to be accessed individually.

#### NameValuePair

    public NameValuePair(String __id,
                         Any __value)

Constructs a `NameValuePair` object that associates the given name with the given `org.omg.CORBA.Any` object.

Parameters:
  `__id` - the name to be associated with the given `Any` object
  `__value` - the `Any` object to be associated with the given name